Menu

## ViewpointSnapshot
in package

ViewpointSnapshot.php : 9

Represents a complete set of viewpoint data used to restore a saved viewpoint.

### Table of Contents

$actionGroups : array<string|int, mixed>
$attachments : array<string|int, mixed>
$data : array<string|int, mixed>
$description : string
$template : string|null
$title : string
__construct() : mixed
  ViewpointRestorationPoint constructor.
getActionGroups() : array<string|int, mixed>
  Action groups of the viewpoint.
getAttachments() : array<string|int, mixed>
  Attachements of the viewpoint.
getData() : array<string|int, mixed>
  Date of the viewpoint.
getDescription() : string
  Description of the viewpoint.
getTemplate() : string|null
  Template of the viewpoint.
getTitle() : string
  Title of the viewpoint.

### Properties

#### $actionGroups

ViewpointSnapshot.php : 24
`private array<string|int, mixed> $actionGroups`

#### $attachments

ViewpointSnapshot.php : 25
`private array<string|int, mixed> $attachments`

#### $data

ViewpointSnapshot.php : 26
`private array<string|int, mixed> $data`

#### $description

ViewpointSnapshot.php : 22
`private string $description`

#### $template

ViewpointSnapshot.php : 23
`private string|null $template`

#### $title

ViewpointSnapshot.php : 21
`private string $title`

### Methods

#### __construct()

ViewpointSnapshot.php : 20

ViewpointRestorationPoint constructor.

`public __construct(string $title, string $description, string|null $template, array<string|int, mixed> $actionGroups, array<string|int, mixed> $attachments, array<string|int, mixed> $data) : mixed`

##### Parameters

$title : string
$description : string
$template : string|null
$actionGroups : array<string|int, mixed>
$attachments : array<string|int, mixed>
$data : array<string|int, mixed>

##### Return values

mixed —

#### getActionGroups()

ViewpointSnapshot.php : 64

Action groups of the viewpoint.

`public getActionGroups() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### getAttachments()

ViewpointSnapshot.php : 73

Attachements of the viewpoint.

`public getAttachments() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### getData()

ViewpointSnapshot.php : 82

Date of the viewpoint.

`public getData() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### getDescription()

ViewpointSnapshot.php : 46

Description of the viewpoint.

`public getDescription() : string`

##### Return values

string —

#### getTemplate()

ViewpointSnapshot.php : 55

Template of the viewpoint.

`public getTemplate() : string|null`

##### Return values

string|null —

#### getTitle()

ViewpointSnapshot.php : 37

Title of the viewpoint.

`public getTitle() : string`

##### Return values

string —

## Search results